#!/bin/bash
#SBATCH --job-name=VT1
#SBATCH -N 1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --mem=20000
#SBATCH --gres=gpu:1
#SBATCH --time=2-00:00:00
##SBATCH --partition=build
##################
# --cpus-per-task=x and gres=gpu:x should have the same x!!

module load gcc/8.4.0-cuda
module load cuda/11.6.2 cudnn/8.4.1.50-11.6-linux-x64 
#module load mvapich2/2.3.4-cuda
#module load nvhpc/21.2-mpi

#export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/cuda/extras/CUPTI/lib64
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib64
#export CUDA_DEVICE_ORDER="PCI_BUS_ID"
export CUDA_VISIBLE_DEVICES="0"

export OMP_NUM_THREADS=1

#PLUMED_ROOT=/work/lcmd/celerse/plumed2.8/
#export PATH=$PATH:/$PLUMED_ROOT/bin
#export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$PLUMED_ROOT/lib
#export PLUMED_KERNEL=$PLUMED_KERNEL:$PLUMED_ROOT

#dp train training.json
#python -c "import tensorflow as tf; print(tf.config.list_physical_devices('GPU'))"
#/work/lcmd/celerse/lammps-stable_23Jun2022_update3/src/lmp_mpi -i lmp1.in >> $PWD/logd1.lammps &
/work/lcmd/celerse/lammps-stable_23Jun2022_update3/src/lmp_serial -i lmp-d1.in >> $PWD/logd1.lammps &

wait


exit 0

